Last Comment Bug 768802 - [adbe 3223393] Firefox window loses focus every time Flash plugin processes are (re-)launched
: [adbe 3223393] Firefox window loses focus every time Flash plugin processes a...
Status: VERIFIED FIXED
[flash-11.3]
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: 13 Branch
: x86 Windows 7
: -- normal with 19 votes (vote)
: mozilla34
Assigned To: Aaron Klotz [:aklotz] (Not reviewing until July, ping on IRC if urgent)
: Bogdan Maris, QA [:bogdan_maris]
Mentors:
https://bugbase.adobe.com/index.cfm?e...
: 766072 778484 783270 793843 812892 815054 815584 819383 825776 833048 840649 842573 855313 855915 858838 861086 897077 898773 901879 905100 922041 985963 (view as bug list)
Depends on: 1061257 1063974 1063978
Blocks: 790013 1057654 1066182
  Show dependency treegraph
 
Reported: 2012-06-27 02:09 PDT by Bob Hill
Modified: 2016-01-15 06:30 PST (History)
60 users (show)
benjamin: qe‑verify+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
Possible patch using LockSetForegroundWindow (1.90 KB, patch)
2014-08-29 09:35 PDT, Aaron Klotz [:aklotz] (Not reviewing until July, ping on IRC if urgent)
benjamin: review+
Details | Diff | Review

Description Bob Hill 2012-06-27 02:09:15 PDT
This is a "Tech Evangelism" bug to accompany Adobe bug number 3223393:

https://bugbase.adobe.com/index.cfm?event=bug&id=3223393

"Every time Firefox (re-)launches the three Flash plugin processes in
Windows-7, the Firefox window loses focus. Focus does not wander to any
other non-Firefox window - no window in the entire user environment has
focus any more. The Firefox window must be explicitly mouse-clicked to
restore its focus after the three Flash plugin processes have been
(re-)launched."

Occurs with Windows-7 SP1 (32-bit), Firefox 13.0.1, Flash 11.3.300.262.

Please refer to Adobe bug number 3223393 for full details of problem,
how to reproduce, how to circumvent, and for progress with resolution.
Comment 1 Bob Hill 2012-06-27 02:17:55 PDT
Users experiencing this problem might like to add votes to Adobe bug number
3223393: the more votes, the higher priority Adobe should assign to the bug.
Comment 2 Loic 2012-06-27 04:34:05 PDT
Can you try with protected mode disabled in Flash 11.3, please?
http://forums.adobe.com/thread/1018071?tstart=0 ('last resort')
Comment 3 Bob Hill 2012-06-27 04:46:14 PDT
(In reply to Loic from comment #2)
> Can you try with protected mode disabled in Flash 11.3, please?
> http://forums.adobe.com/thread/1018071?tstart=0 ('last resort')

As already stated in https://bugbase.adobe.com/index.cfm?event=bug&id=3223393
this problem does NOT occur with Flash Protected Mode disabled.  Please refer
to the Note entitled "Any Workarounds" at the very end of the Adobe Bug page.
Kind regards, Bob Hill (just another user, not Adobe employee)
Comment 4 Loic 2012-07-07 05:40:14 PDT

*** This bug has been marked as a duplicate of bug 764390 ***
Comment 5 Loic 2012-07-26 14:43:02 PDT
I reopen it because it seems to be a very similar issue to bug 764390, but slightly different.
Comment 6 Matthias Versen [:Matti] 2012-07-29 05:43:32 PDT
*** Bug 778484 has been marked as a duplicate of this bug. ***
Comment 7 Ioana (away) 2012-08-08 07:23:24 PDT
This issue doesn't reproduce anymore with Flash 11.4.400.252.
Comment 8 Matthias Versen [:Matti] 2012-08-16 14:33:24 PDT
*** Bug 783270 has been marked as a duplicate of this bug. ***
Comment 9 iccor56 2012-09-10 18:26:31 PDT
i have .402.265

changing protected mode fixes the problem.
Comment 10 Martijn 2012-11-04 08:52:37 PST
No problem reproducing this issue with 11.4.402.287. I have voted for this bug on the Adobe BugBase: "The way windows react is crucial to a efficient and predictive working flow. Switching back to a window you're working in every time the flash plugin stats is very, very annoying. It really hurts my working routine and it also hurts Firefox, as most people wont recognise this is a Flash problem."
Comment 11 Ant 2012-11-04 09:01:48 PST
I never seee this problem in my old, updated Windows XP Pro. SP3 machine, but I see it on my updated 64-bit W7 machines at work.
Comment 12 Loic 2012-11-04 09:14:59 PST
(In reply to Ant from comment #11)
> I never seee this problem in my old, updated Windows XP Pro. SP3 machine,
> but I see it on my updated 64-bit W7 machines at work.

Of course, protected mode doesn't exist for Flash on Win XP.
Comment 13 Ant 2012-11-04 09:27:23 PST
Loic: Ah, that explains it then. Thanks. :)
Comment 14 Phoenix 2012-11-29 11:54:23 PST
*** Bug 815584 has been marked as a duplicate of this bug. ***
Comment 15 Matthias Versen [:Matti] 2012-12-07 17:02:38 PST
*** Bug 819383 has been marked as a duplicate of this bug. ***
Comment 16 Matthias Versen [:Matti] 2013-01-02 13:49:16 PST
*** Bug 825776 has been marked as a duplicate of this bug. ***
Comment 17 Bob Hill 2013-01-07 22:51:07 PST
The current situation with referenced Adobe Bug 3223393 is as follows:

1. Adobe has not yet found a way to launch the Windows-7 processes for
   "FlashPlayerPlugin_11_5_502_135.exe" without losing window focus.

2. Adobe has introduced a kludge in the form of code which attempts to
   regain focus asap after having lost it, resulting (at best) in the
   Firefox Taskbar Button "blinking" while focus is lost and regained.
   As well as being an inelegant approach this kludge is also far from
   bulletproof - when more than one Firefox window is open, the kludge
   sometimes succeeds in restoring focus to the wrong Firefox window!

3. Attempts to ask why Flash cannot launch a Windows-7 process without
   losing focus ("Notes" timestamped 11:36:04 PM PDT Oct 24, 2012 and
   1:04:45 AM PST Dec 15, 2012 in Bug 3223393) have not been answered.

4. Instead, Adobe is trying to sell the kludge  ("Notes" timestamped
   2:46:29 AM PST Dec 14, 2012 and 8:16:26 PM PST Jan 6, 2013 in Bug).

Some users suffering from this problem may blame Firefox for it rather
than perceiving it to be a Flash problem, so it might be in Mozilla's
interest to encourage Adobe to pursue a reliable and elegant solution.

Firefox doesn't lose focus when it launches "plugin-container.exe", so
why can't Flash launch "FlashPlayerPlugin_11_5_502_135.exe" without
losing focus?  Is there anyone at Mozilla who has a line of communi-
cation with people at Adobe, and could provide Adobe with hints/tips
about how to launch a Windows-7 process without losing window focus?
Comment 18 evo34 2013-01-13 18:05:00 PST
This is totally ridiculous that a major bug can go uncorrected for 7 months and counting.
Comment 19 Ibrahim Jadoon 2013-01-31 11:22:19 PST
1) Hold the phone.  This bug has not been assigned correctly! Adbe 3223393 refers to a totally separate problem: in 3223393, the bug appears every 180 seconds (in 764390, it appears immediately), the focus is given to an imaginary window (in 764390, focus is clearly given to the Flash plugin), and a mouse-click restores focus (in 764390, a mouse-click does not restore focus). 

Adbe 3223393 ≠ Bugzilla 764390

2) And...whatever Adobe is doing, isn't this a Firefox issue, too? As Timwi said (back in...wow...July 2012!): "Despite, surely this is still a bug in Firefox. Firefox must not, under any circumstances, allow a plugin to compromise the ability to focus away from it by clicking outside of it. Firefox must always, without exception, send keyboard focus to the webpage when the webpage is clicked, no matter what the plugin does. The fact that plugins can break this is clearly a bug in Firefox."

Thus, I disabled Protected Mode. However, with all the security exploits with plugins (the debacle that is still happening with Java), I'd rather wish I didn't have to do this. :(
Comment 20 Ibrahim Jadoon 2013-01-31 11:23:07 PST
Whoops, sorry! Wrong bug; had two pages open. :(
Comment 21 Gian-Carlo Pascutto [:gcp] 2013-02-14 04:18:33 PST
*** Bug 766072 has been marked as a duplicate of this bug. ***
Comment 22 Matthias Versen [:Matti] 2013-02-15 19:44:23 PST
*** Bug 840649 has been marked as a duplicate of this bug. ***
Comment 23 Benjamin Smedberg [:bsmedberg] 2013-02-20 06:20:15 PST
*** Bug 833048 has been marked as a duplicate of this bug. ***
Comment 24 Virtual_ManPL [:Virtual] - (ni? me) 2013-03-10 12:02:18 PDT
Can someone contact Adobe about this issue? because it's getting more and more annoying as it happens only in Firefox...

maybe someone know any workaround or Flash version which it didn't occurred.
Comment 25 Loic 2013-03-10 12:03:34 PDT
Disabling the protected mode in Flash is the workaround.
Comment 26 Virtual_ManPL [:Virtual] - (ni? me) 2013-03-10 12:07:56 PDT
My STR from dupe bug #815054

>1. Open Nightly
>2. Open Library
>3. Close Nightly browse window, so only Library will be opened
>4. Start opening some bookmarks from Library
>5. and try normally browse the web with Library window in background
>
>in near time you will see that Library window will steal focus
>and will go to first plan



(In reply to Loic from comment #25)
> Disabling the protected mode in Flash is the workaround.

Thanks!
Comment 27 Mike Abbett 2013-03-10 12:25:57 PDT
I can't help any with the resolution of this but I opened a ticket on this problem a long time ago and have seen more like mine show up.  I think the resolution provided was to disable the one of the Adobe plugins.  I have forgotten which one.   I tried that ... maybe it worked I don't recall but I don't want those plugins to be disabled because that forces me to another browser to look at sites that use the plugin.  I've stuck with mozilla based browsers for a long time ... I think I might have been one of the first netscape users ... and I just hate to give up and use Explorer exclusively, but this problem might drive me to so that if it doesn't get fixed pretty soon.
Comment 28 David McDivitt 2013-03-10 17:23:08 PDT
It's a pain for sure. When I open a new window what I try to remember to do is grab the title bar, click, and move it around a bit. If I forget, which is most of the time, I click on the window that fell to the back.

Possibly a timer could be used. A value could be put in about.config to adjust the delay. The timer needs to fire after the flash plugin becomes active. If there's an activate event for the plugin in firefox, and if it's a new window, the window could be made active again.

I hate tabs and don't use them, so I would like to see the problem go away. Yes I did think about using IE, but firefox has too many customizations I need.
Comment 29 Matthias Versen [:Matti] 2013-03-27 16:34:50 PDT
*** Bug 793843 has been marked as a duplicate of this bug. ***
Comment 30 Matthias Versen [:Matti] 2013-03-27 16:35:31 PDT
*** Bug 855313 has been marked as a duplicate of this bug. ***
Comment 31 Benjamin Smedberg [:bsmedberg] 2013-03-29 09:13:43 PDT
*** Bug 855915 has been marked as a duplicate of this bug. ***
Comment 32 Benjamin Smedberg [:bsmedberg] 2013-04-06 08:41:28 PDT
*** Bug 858838 has been marked as a duplicate of this bug. ***
Comment 33 Benjamin Smedberg [:bsmedberg] 2013-04-12 06:14:39 PDT
*** Bug 861086 has been marked as a duplicate of this bug. ***
Comment 34 evo34 2013-04-16 19:35:27 PDT
What the **** is going on with this bug?  It's been almost a YEAR now, and millions of users are having their windows jacked around bc Mozilla and Adobe are too lazy to get together and fix this issue.
Comment 35 David McDivitt 2013-04-16 20:16:05 PDT
I'm very appreciative to have Firefox, and free too! The problem still needs to be fixed though. I hate to think it will always be this way.
Comment 36 Dan 2013-05-13 13:01:38 PDT
This is a huge issue as it hurts accessibility. How can we keep up with 508 requirements. You must fix this ASAP. It is a huge problem.
Comment 37 Jefferson 2013-05-25 09:43:38 PDT
This problem is reported on the SuMo forum regularly. I usually refer posters to this summary with workarounds: https://support.mozilla.org/questions/955659 Disabling protected mode works, but is a complex operation for many users.

Adobe has closed its Bug 3223393 with a "Defer" status (at least as early as a February 5, 2013 comment), putting the ball back in our court. Is there really nothing Firefox can do to prevent plugins from changing the active Firefox window?
Comment 38 Martijn 2013-05-25 10:18:13 PDT
Not only is it a complex operation, I assume disabling a protection also means dropping part of the security that's enabled by default to actually protect you against nasty stuff in the first place. I think a lot of users have no idea how big the impact of such a 'workaround' could be.

On 22 april, Jing Chen of Adobe commented on the Adobe bug: "Issue added to high votes list."

If I'm reading the explanation of the 'Defer' status right, it only means the priority isn't high enough for a fix -in the next version- and that it will be looked into once the priority is high enough.

So I think it's best that everyone who encounters this bug and acknowledges it's a big usability/productivity problem, votes for the Adobe bug so that it will end up on the priority list there - at the people who are responsible for the bug in the first place.

Is there anyone at Mozilla who's contacted Adobe on this? You would assume there's a point where it's pretty clear the 'workaround' for this is hurting security/safety, and continuing as it was is hurting Firefox usability and its reputation.
Comment 39 David McDivitt 2013-05-25 10:36:17 PDT
With each version of Firefox I hope the bug will be fixed. It may be the principle involved for Firefox developers. Why should they code around an Adobe problem, especially when Flash is buggy anyway? I understand that. But at the same time Firefox should work well, which is their concern. Maybe they all use tabs and not windows, so don't see how bad it is. Yes, I could fix it myself. I could spend however much time researching and reading Firefox code to come up with a solution. But I've never looked at Firefox code and am not going to. I will continue waiting patiently for a Firefox person, who should be taking care of such matters, to go ahead and do that. In the meantime I'll put up with the nuisance because I like using Firefox.
Comment 40 Rudolf Krebs 2013-05-27 09:54:33 PDT
Im shure this is an Firefox Problem. If I open the same Pages using IE9 there is no problem to see the Flash videos.
Comment 41 Loic 2013-05-27 10:15:29 PDT
(In reply to Rudolf Krebs from comment #40)
> Im shure this is an Firefox Problem. If I open the same Pages using IE9
> there is no problem to see the Flash videos.

It doesn't prove anything, the Flash plugin for Firefox is not the same as this one for IE.
Comment 42 Benjamin Smedberg [:bsmedberg] 2013-05-28 07:23:00 PDT
I love you all very much. This bug is caused by IME initialization in the Flash protected-mode process. We are continuing to work with Adobe to find a workaround for this issue, but at the current point in time have not been able to come up with a workaround that leaves a working IME.

I know this sucks, and I recommend that anyone who finds this especially annoying disable protected mode.

I am going to restrict commenting on this bug to people with Mozilla "editbugs" so that it can remain a useful tracking bug and isn't overrun by advocacy comments.
Comment 43 Loic 2013-07-28 06:22:54 PDT
*** Bug 897077 has been marked as a duplicate of this bug. ***
Comment 44 Loic 2013-08-16 07:19:00 PDT
*** Bug 905100 has been marked as a duplicate of this bug. ***
Comment 45 Josh Matthews [:jdm] 2013-08-21 12:15:33 PDT
*** Bug 898773 has been marked as a duplicate of this bug. ***
Comment 46 Benjamin Smedberg [:bsmedberg] 2013-09-23 06:46:10 PDT
*** Bug 901879 has been marked as a duplicate of this bug. ***
Comment 47 Josh Matthews [:jdm] 2013-09-30 07:55:51 PDT
*** Bug 922041 has been marked as a duplicate of this bug. ***
Comment 48 Andrei Vaida, QA [:avaida] – please ni? me 2014-03-21 01:42:48 PDT
*** Bug 985963 has been marked as a duplicate of this bug. ***
Comment 49 Benjamin Smedberg [:bsmedberg] 2014-05-29 07:25:52 PDT
We've been working with Adobe on this and currently we don't know of any way to fix this in Firefox without either breaking IME or causing other intermittent issues. I'm therefore going to close this as INCOMPLETE and hope that Adobe prioritizes a fix.

If somebody has a patch that you believe will help this situation, please let me know and we can either reopen this bug or file a new one blocking this one.
Comment 50 Aaron Klotz [:aklotz] (Not reviewing until July, ping on IRC if urgent) 2014-08-29 09:35:05 PDT
Created attachment 8481385 [details] [diff] [review]
Possible patch using LockSetForegroundWindow

This patch wraps out of process NP_Initialize calls with LockSetForegroundWindow. This appears to do the right thing.
Comment 51 Benjamin Smedberg [:bsmedberg] 2014-08-29 09:39:23 PDT
Comment on attachment 8481385 [details] [diff] [review]
Possible patch using LockSetForegroundWindow

QA note: this should have some targeted testing, and perhaps called out to the nightly-testers list after it lands. We should make sure that the common plugins (flash/silverlight/java/unity/etc) still behave reasonably.
Comment 52 Benjamin Smedberg [:bsmedberg] 2014-08-29 09:39:58 PDT
liz, NI for a QA contact.
Comment 53 Liz Henry (:lizzard) (needinfo? me) 2014-08-29 10:05:05 PDT
Fabulous, Benjamin and Aaron! I'll pass it along to Nightly-testers and testdays once it lands.
Comment 54 Loic 2014-08-29 10:11:39 PDT
I think that patch needs to be tested with protected mode disabled in Flash:
https://forums.adobe.com/thread/1018071
Comment 55 Aaron Klotz [:aklotz] (Not reviewing until July, ping on IRC if urgent) 2014-08-29 11:57:03 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/b3f0f2be0ab6
Comment 56 Benjamin Smedberg [:bsmedberg] 2014-08-29 13:34:50 PDT
The bug here isn't seen without protected mode. Feel free to test in that mode if you want, but it's not the default nor is it likely to regress.
Comment 57 Ryan VanderMeulen [:RyanVM] 2014-08-30 09:32:43 PDT
https://hg.mozilla.org/mozilla-central/rev/b3f0f2be0ab6
Comment 58 IU 2014-08-31 11:06:10 PDT
*** Bug 812892 has been marked as a duplicate of this bug. ***
Comment 59 IU 2014-08-31 11:35:45 PDT
I can confirm that his fixes the issue, including that this issue does not happen if protected mode is disabled.

I have also verified that silverlight and java still work.  Haven't tested unity, because I don't use that (someone else can test).

Tested build (on Win 8.1):
https://hg.mozilla.org/mozilla-central/rev/1db35d2c9a2f
Comment 60 Bogdan Maris, QA [:bogdan_maris] 2014-09-01 05:34:24 PDT
Verified that using latest Nightly 34.0a1 (buildID: 20140831030206) on Windows 7 64bit the focus does not change anymore on a nonplugin tab/window/private window. 
Plugins used :
- Unity, Flash, Java, Silverlight, Windows Media, Quicktime, Shockwave, Adobe Acrobat, Google Talk.
Comment 61 Georg Fritzsche [:gfritzsche] [away Jun 24 - Jul 3] 2014-09-01 08:03:27 PDT
Comment on attachment 8481385 [details] [diff] [review]
Possible patch using LockSetForegroundWindow

Review of attachment 8481385 [details] [diff] [review]:
-----------------------------------------------------------------

Aren't there possible effects on other applications here, especially with slow plugin startups?
Comment 62 Gian-Carlo Pascutto [:gcp] 2014-09-01 09:07:36 PDT
(In reply to Georg Fritzsche [:gfritzsche] from comment #61)

> Aren't there possible effects on other applications here, especially with
> slow plugin startups?

If I understand correctly, you'd need to click-to-play to enable those (Flash is the exception). But yes, from my reading of this patch, if one of those plugins hangs on startup or is very slow, Firefox will be stuck in the foreground for the duration. If that turns out to be an issue, maybe can we time-limit this or limit it to Flash specifically?
Comment 63 Georg Fritzsche [:gfritzsche] [away Jun 24 - Jul 3] 2014-09-01 09:25:58 PDT
Good point, i've filed bug 1061257 on at least limiting this to Flash.
We also have a few other whitelisted plugins and you still have the same issues once you start them.

I'm still concerned about affecting other applications on Flash loads here; from my understanding we're mostly moving the problem around?
Comment 64 Aaron Klotz [:aklotz] (Not reviewing until July, ping on IRC if urgent) 2014-09-02 14:54:52 PDT
Release Note Request (optional, but appreciated)
[Why is this notable]: This fixes an annoying UI issue that frustrates many users.
[Suggested wording]: Improved plugin startup on Windows to prevent a foreground Firefox window from losing focus.
[Links (documentation, blog post, etc)]:
Comment 65 Virtual_ManPL [:Virtual] - (ni? me) 2014-09-03 06:05:06 PDT
*** Bug 815054 has been marked as a duplicate of this bug. ***
Comment 66 Virtual_ManPL [:Virtual] - (ni? me) 2014-09-03 06:06:20 PDT
*** Bug 842573 has been marked as a duplicate of this bug. ***
Comment 67 Jim Jeffery not reading bug-mail 1/2/11 2014-09-06 03:32:18 PDT
This patch that was supposed to fix the 'focus stealing' has made those of us who use Flashblock Addon 1000% worse than the original bug because every page that has flash is now losing focus when navigating link on page.

With just short of 1 million Flashblock users (according to AMO), this is going to become a major issue once it hits release.  

I have no idea if something could be changed in Flashblock to get around whatever is happening.  I would no idea what/how as I'm not a coder.
Comment 68 Loic 2014-09-06 06:42:41 PDT
Is there a bug filed about the Flashblock issue after this bug landed?
Comment 69 Jim Jeffery not reading bug-mail 1/2/11 2014-09-06 07:10:47 PDT
(In reply to Loic from comment #68)
> Is there a bug filed about the Flashblock issue after this bug landed?

No, not filed one yet and I've not seen anyone else having the problem.  

currently in process of building up a whole new profile.  May not be an issue here at all since no one else I've talked to is having any problems.

Sorry for noise.  Will file if I don't get anywhere with a new profile.
Comment 70 Loic 2014-09-06 07:14:50 PDT
I remember to read a message about this issue on http://forums.mozillazine.org/  a few days ago, maybe it was you. :)
If you're able to reproduce it with a new test profile (+Flashblock), could you open a new bug, please.
Comment 71 Jim Jeffery not reading bug-mail 1/2/11 2014-09-06 09:07:57 PDT
(In reply to Loic from comment #70)
> I remember to read a message about this issue on
> http://forums.mozillazine.org/  a few days ago, maybe it was you. :)
> If you're able to reproduce it with a new test profile (+Flashblock), could
> you open a new bug, please.

Filed bug 1063949
Comment 72 Masatoshi Kimura [:emk] 2014-09-10 05:00:14 PDT
Can anyone verify that Flash Player 15 fixed this bug on Firefox 32 or 33?
Comment 73 Masatoshi Kimura [:emk] 2014-09-10 07:31:41 PDT
I've got a private mail saying that Flash Player 15 fixed the bug on Firefox 31.
Comment 74 Georg Fritzsche [:gfritzsche] [away Jun 24 - Jul 3] 2014-09-10 12:37:25 PDT
Bogdan, can you verify that the issue is fixed with Flash 15 (15.0.0.152?) on Firefox <34?
If we can get the fix verified then we can back out the fix we have here on our side.
Comment 75 Masatoshi Kimura [:emk] 2014-09-10 15:27:24 PDT
Unfortunately I got another report that Flash Player 15 did NOT resolve the problem on Firefox 32 :(
Comment 76 Bogdan Maris, QA [:bogdan_maris] 2014-09-11 01:42:30 PDT
I am not able to reproduce this issue on Firefox 32.0.1 RC and Firefox 33 beta 2 using Flash (15.0.0.152) so the issue is fixed for me.
Comment 77 Georg Fritzsche [:gfritzsche] [away Jun 24 - Jul 3] 2014-09-11 03:51:23 PDT
Sorry about the restricted commenting here, i think i commenting on a closed bug is restricted to certain users only.

So from my mail i see confirmations of the fix for Firefox 31 & 32.
I also see a report of focus issues still happening if you're running more than one Firefox instance.

Masatoshi, did you get any other reports of breakage from running only one Firefox instance?
Comment 78 Masatoshi Kimura [:emk] 2014-09-11 04:03:19 PDT
(In reply to Georg Fritzsche [:gfritzsche] from comment #77)
> Masatoshi, did you get any other reports of breakage from running only one
> Firefox instance?

No.
I got two more reports saying that the problem was fixed on Firefox 32 with Flash Player 15 (not sure about the instance count).
Comment 79 Bogdan Maris, QA [:bogdan_maris] 2014-09-11 05:17:32 PDT
(In reply to Bogdan Maris, QA [:bogdan_maris] from comment #76)
> I am not able to reproduce this issue on Firefox 32.0.1 RC and Firefox 33
> beta 2 using Flash (15.0.0.152) so the issue is fixed for me.

Just to be clear, I used Flash 14.0.0.179 version to reproduce the issue on the same builds.

Then tested using Flash 15.0.0.152 version:
I tried using two windows on the same instance (normal or private) and the focus stayed where it should, also using multiple instances of the same Firefox build or different (normal or private) with the same result (focus stays where it should).
Comment 80 Aaron Klotz [:aklotz] (Not reviewing until July, ping on IRC if urgent) 2014-09-11 10:27:23 PDT
In light of the release of Flash 15 and confirmation that it takes care of this issue on Firefox 32, I've filed bug 1066182 to back this patch out.
Comment 81 Masatoshi Kimura [:emk] 2014-09-12 04:43:15 PDT
Comment #75 was reported from Eduard Braun. According to bug 1066182 comment #3, it was false positive.
Comment 82 Aaron Klotz [:aklotz] (Not reviewing until July, ping on IRC if urgent) 2014-09-16 14:13:44 PDT
Clearing relnote-firefox as this patch has been backed out.

Note You need to log in before you can comment on or make changes to this bug.